Page MenuHomePhabricator

Extend Civi Deduper access to all Donor Services agents?
Closed, ResolvedPublic

Description

Kristine Hancock cid=34488458 is unable to use Deduper. When she navigates to https://civicrm.wikimedia.org/civicrm/a/#/dupefinder/Contact, nothing loads. @Eileenmcnaughton is this maybe permissions-level related? If so, please enable all DS agents to use Deduper.

Thank you!

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterLoosen permissions on deduper

Event Timeline

MBeat33 created this task.Jul 26 2019, 9:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2019, 9:57 PM

@MBeat33 it looks like we need to fix the deduper to work with lower permissions & I should do that. In the meantime I'm OK to give them the Donor Services Management role (which is what you have) until we sort this out if you think that's OK

Change 526593 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Loosen permissions on deduper

https://gerrit.wikimedia.org/r/526593

Actually I think I have a patch that would amend them - just pushed it up

Change 526593 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Loosen permissions on deduper

https://gerrit.wikimedia.org/r/526593

@MBeat33 we pushed out a minor permissions change - see if they can access it now

So far so good, cid=34488458 is now in Deduper - thanks, @Eileenmcnaughton

MBeat33 added a comment.EditedAug 21 2019, 7:20 PM

trying deploying DS Admin permissions to Seilo, ty @Eileenmcnaughton

MBeat33 closed this task as Resolved.Oct 15 2019, 4:17 PM
MBeat33 claimed this task.

Yes thanks, it looks like everyone's able to do what they need.